Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://{tenant_id}.api.useago.com/api/v1/documents \ --header 'X-API-Key: <api-key>'
import requestsurl = "https://{tenant_id}.api.useago.com/api/v1/documents"headers = {"X-API-Key": "<api-key>"}response = requests.get(url, headers=headers)print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};fetch('https://{tenant_id}.api.useago.com/api/v1/documents', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "data": [ { "id": "<string>", "title": "<string>", "object": "document", "page_id": "<string>", "status": "<string>", "public_display": true, "default_language": "en", "source_id": "<string>", "source_name": "<string>", "parent_id": "<string>", "position": 0, "created_at": "<string>", "updated_at": "<string>" } ], "has_more": true, "total": 123, "object": "list" }
List all knowledge documents.
OK
Paginated list of document summaries.
Show child attributes